      program binary


      real z(5),x(5)
      z(1)=4.444444
      z(2)=2.11323
      z(3)=6.32312
      z(4)=3.1415926
      z(5)=7.222222
      
C     FILE GENERALASA
      OPEN(3,FILE='binary.dat',FORM='UNFORMATTED',RECL=5*4,
     $     ACCESS='sequential',STATUS='UNKNOWN')
      write(3,rec=1) (z(i),i=1,5)
      close(3)

C     FILE VISSZAOLVASASA
      open(9,FILE='binary.dat',ACCESS='sequential',STATUS='OLD',
     $      FORM='UNFORMATTED',RECL=5*4)
      read(9,rec=1) x
      close(9)
      


      write(*,*) x

      end
